import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { CommunityEntity } from '../entities';

@Injectable()
export class CommunityRepository extends Repository<CommunityEntity> {
  constructor(private dataSource: DataSource) {
    super(CommunityEntity, dataSource.createEntityManager());
  }
}
