import { IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class PowerClampDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public deviceUuid: string;

  @IsString()
  @IsOptional()
  public hour?: string;

  @IsString()
  @IsOptional()
  public day?: string;

  @IsString()
  @IsOptional()
  public month?: string;

  @IsString()
  @IsNotEmpty()
  public energyConsumedKw: string;

  @IsString()
  @IsNotEmpty()
  public energyConsumedA: string;

  @IsString()
  @IsNotEmpty()
  public energyConsumedB: string;

  @IsString()
  @IsNotEmpty()
  public energyConsumedC: string;

  @IsString()
  @IsNotEmpty()
  public prodType: string;
}
