import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import {
  PowerClampDailyEntity,
  PowerClampHourlyEntity,
  PowerClampMonthlyEntity,
} from '../entities/power-clamp.entity';

@Injectable()
export class PowerClampHourlyRepository extends Repository<PowerClampHourlyEntity> {
  constructor(private dataSource: DataSource) {
    super(PowerClampHourlyEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class PowerClampDailyRepository extends Repository<PowerClampDailyEntity> {
  constructor(private dataSource: DataSource) {
    super(PowerClampDailyEntity, dataSource.createEntityManager());
  }
}

@Injectable()
export class PowerClampMonthlyRepository extends Repository<PowerClampMonthlyEntity> {
  constructor(private dataSource: DataSource) {
    super(PowerClampMonthlyEntity, dataSource.createEntityManager());
  }
}
