import { IsNotEmpty, IsNumber, IsString } from 'class-validator';

export class PresenceSensorDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public deviceUuid: string;

  @IsString()
  @IsNotEmpty()
  public eventDate: string;

  @IsNumber()
  @IsNotEmpty()
  public CountMotionDetected: number;

  @IsNumber()
  @IsNotEmpty()
  public CountPresenceDetected: number;

  @IsNumber()
  @IsNotEmpty()
  public CountTotalPresenceDetected: number;
}
