import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { SceneDeviceEntity } from '../entities';

@Injectable()
export class SceneDeviceRepository extends Repository<SceneDeviceEntity> {
  constructor(private dataSource: DataSource) {
    super(SceneDeviceEntity, dataSource.createEntityManager());
  }
}
