import { IsBoolean, IsNotEmpty, IsString } from 'class-validator';

export class SceneDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public sceneTuyaUuid: string;
  @IsString()
  @IsNotEmpty()
  public unitUuid: string;
  @IsString()
  @IsNotEmpty()
  public iconUuid: string;

  @IsBoolean()
  @IsNotEmpty()
  public inHomePage: boolean;
}
export class SceneIconDto {
  @IsString()
  @IsNotEmpty()
  public uuid: string;

  @IsString()
  @IsNotEmpty()
  public icon: string;
}
