import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';

export class DeleteSceneFromSceneDeviceDto {
  @ApiProperty({
    description: 'switchName',
    required: true,
  })
  @IsString()
  @IsNotEmpty()
  public switchName: string;
}
