import { DeviceRepositoryModule } from '@app/common/modules/device';
import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { PrivacyPolicyController } from './controllers';
import { PrivacyPolicyService } from './services';

@Module({
  imports: [ConfigModule, DeviceRepositoryModule],
  controllers: [PrivacyPolicyController],
  providers: [PrivacyPolicyService],
})
export class PrivacyPolicyModule {}
