import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { HttpModule } from '@nestjs/axios'; // <-- Import this!
import { WeatherController } from './controllers';
import { WeatherService } from './services';

@Module({
  imports: [ConfigModule, HttpModule],
  controllers: [WeatherController],
  providers: [WeatherService],
})
export class WeatherModule {}
