export const PermissionMapping = {
  DEVICE_MANAGEMENT: {
    DEVICE: [
      'SINGLE_CONTROL',
      'VIEW',
      'DELETE',
      'UPDATE',
      'BATCH_CONTROL',
      'LOCATION_VIEW',
      'LOCATION_UPDATE',
    ],
    FIRMWARE: ['CONTROL', 'VIEW'],
  },
  COMMUNITY_MANAGEMENT: {
    COMMUNITY: ['VIEW', 'ADD', 'UPDATE', 'DELETE'],
  },
  SPACE_MANAGEMENT: {
    SPACE: [
      'VIEW',
      'ADD',
      'UPDATE',
      'DELETE',
      'MODEL_ADD',
      'MODEL_DELETE',
      'MODEL_VIEW',
      'ASSIGN_USER_TO_SPACE',
      'DELETE_USER_FROM_SPACE',
    ],
    SUBSPACE: [
      'VIEW',
      'ADD',
      'UPDATE',
      'DELETE',
      'ASSIGN_DEVICE_TO_SUBSPACE',
      'DELETE_DEVICE_FROM_SUBSPACE',
    ],
  },
  DEVICE_WIZARD: {
    DEVICE_WIZARD: ['VIEW_DEVICE_WIZARD'],
    SPACE_DEVICE: ['VIEW_DEVICE_IN_SPACE', 'ASSIGN_DEVICE_TO_SPACE'],
    SUBSPACE_DEVICE: ['VIEW_DEVICE_IN_SUBSPACE', 'UPDATE_DEVICE_IN_SUBSPACE'],
  },
  AUTOMATION_MANAGEMENT: {
    AUTOMATION: ['VIEW', 'ADD', 'UPDATE', 'DELETE', 'CONTROL'],
    SCENES: ['VIEW', 'ADD', 'UPDATE', 'DELETE', 'CONTROL'],
  },
  VISITOR_PASSWORD_MANAGEMENT: {
    VISITOR_PASSWORD: ['VIEW', 'ADD', 'UPDATE', 'DELETE'],
  },
  USER_MANAGEMENT: {
    USER: ['ADD'],
  },
};
