import { DataSource, Repository } from 'typeorm';
import { Injectable } from '@nestjs/common';
import { RoleTypeEntity } from '../entities/role.type.entity';

@Injectable()
export class RoleTypeRepository extends Repository<RoleTypeEntity> {
  constructor(private dataSource: DataSource) {
    super(RoleTypeEntity, dataSource.createEntityManager());
  }
}
